D Programming Language 1.0

Last update Sun Dec 30 20:34:44 2012

# Table of Contents

This is the specification for the D Programming Language. For more information see d-programming-language.org.

This is also available as a Mobi ebook or as a Kindle ebook .

- Introduction
- Lexical
- Modules
- Declarations
- Types
- Properties
- Attributes
- Pragmas
- Expressions
- Statements
- Arrays
- Associative Arrays
- Structs & Unions
- Classes
- Interfaces
- Enums
- Const and Immutable
- Functions
- Operator Overloading
- Templates
- Template Mixins
- Contract Programming
- Conditional Compilation
- Traits
- Error Handling
- Unit Tests
- Garbage Collection
- Floating Point
- Inline Assembler
- Embedded Documentation
- Interfacing To C
- Interfacing To C++
- Portability Guide
- Named Character Entities
- Memory Safety
- Application Binary Interface

Forums | Comments | D | Search | Downloads | Home
Copyright © 1999-2012 by Digital Mars ®, All Rights Reserved | Page generated by Ddoc.